package com.zhilian.business.remote;

import com.zhilian.business.domain.Vehicle;
import com.zhilian.business.remote.factory.RemoteVehicleFallbackFactory;
import com.zhilian.common.core.constant.ServiceNameConstants;
import com.zhilian.common.core.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteVehicleService", value = ServiceNameConstants.VIEHICLE_SERVICE, fallbackFactory = RemoteVehicleFallbackFactory.class)
public interface RemoteVehicleService {
//    @PostMapping(value = "/upload", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
//    public Result<SysFile> upload (@RequestPart(value = "file") MultipartFile file);

    /**
     * 根据VIN获取车辆信息
     * @param vehicleVIN
     * @return
     */
    @PostMapping("/vehicle/getMarkersByVIN/{vehicleVIN}")
    public Result<Vehicle> getVehicleByVIN(@PathVariable("vehicleVIN") String vehicleVIN);

    /**
     * 更新车辆状态
     * @param vehicle
     * @return
     */
    @PostMapping("/vehicle/updateState")
    public Result updateState(@RequestBody Vehicle vehicle);
}
