package com.zhilian.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhilian.business.domain.Markers;
import com.zhilian.business.domain.middle.MarkersFence;
import com.zhilian.business.service.FenceService;
import com.zhilian.business.mapper.MarkersFenceMapper;
import com.zhilian.business.service.MarkersFenceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class MarkersFenceServiceImpl extends ServiceImpl<MarkersFenceMapper, MarkersFence> implements MarkersFenceService  {
    @Autowired
    private MarkersFenceMapper markersFenceMapper;


    @Override
    public boolean insert(Markers markers) {
        ArrayList<MarkersFence> markersFences = new ArrayList<>();
        markers.getFenceIds().forEach(fenceId -> {
            MarkersFence markersFence = new MarkersFence();
            markersFence.setMarkerId(markers.getMarkersId());
            markersFence.setFenceId(fenceId);
            markersFences.add(markersFence);
        });
        return this.saveBatch(markersFences);
    }

    @Override
    public void removeAllFence(Markers markers) {
        List<MarkersFence> list = this.list(new LambdaQueryWrapper<MarkersFence>().eq(MarkersFence::getMarkerId, markers.getMarkersId()));
        this.removeBatchByIds(list);
    }
}
