package com.zhilian.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhilian.business.domain.Vehicle;
import com.zhilian.business.domain.middle.VehicleMarkers;
import com.zhilian.business.mapper.*;
import com.zhilian.business.service.VehicleMarkersService;
import com.zhilian.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class VehicleMarkersServiceImpl extends ServiceImpl<VehicleMarkersMapper, VehicleMarkers> implements VehicleMarkersService {
//    @Autowired
//    private VehicleMapper vehicleMapper;
//
//    @Autowired
//    private VehicleMarkersMapper vehicleMarkersMapper;
//
//    @Autowired
//    private RedisService redisService;

    @Autowired
    private MarkersMapper markersMapper;

    @Autowired
    private MarkersFenceMapper markersFenceMapper;

    @Autowired
    private FenceMapper fenceMapper;

    @Transactional(rollbackFor=Exception.class)
    @Override
    public boolean insert(Vehicle vehicle) {
        ArrayList<VehicleMarkers> list = new ArrayList<>();
        vehicle.getMarkersIds().forEach(markerId -> {
            VehicleMarkers vehicleMarkers = new VehicleMarkers();
            vehicleMarkers.setVehicleId(vehicle.getVehicleId());
            vehicleMarkers.setMarkersId(markerId);
            list.add(vehicleMarkers);
        });
        return this.saveBatch(list);

//        String vehicleVIN = vehicle.getVehicleVIN();
//        //标识
//        List<Markers> markers = markersMapper.selectBatchIds(vehicle.getMarkersIds());
//        //中间表
//        List<MarkersFence> markersFences = markersFenceMapper.selectBatchIds(markers);
//        //围栏
//        List<Long> fenceIds = markersFences.stream().map(MarkersFence::getFenceId).collect(Collectors.toList());
//        List<Fence> fences = fenceMapper.selectBatchIds(fenceIds);
//
//        System.out.println("**********************"+fences);
//        List<MarkersFence> markersFences = markersFenceMapper.selectList(new LambdaQueryWrapper<MarkersFence>().in(MarkersFence::getMarkersId, vehicle.getMarkersIds()));
//        List<Fence> fences = fenceMapper.selectBatchIds(markersFences.stream().map(MarkersFence::getFenceId).distinct().toArray(Long[]::new));
//        markersFences.forEach(markersFence -> {
//            markersFence.setFence(fences.stream().filter(fence -> fence.getFenceId().equals(markersFence.getFenceId())).findFirst().get());
//        });
//
//        redisService.set(vehicle.getVehicleId(), markersFences);
    }

    @Override
    public void removeAllVehicle(Vehicle vehicle) {
        List<VehicleMarkers> list = this.list(new LambdaQueryWrapper<VehicleMarkers>().eq(VehicleMarkers::getVehicleId, vehicle.getVehicleId()));
        this.removeByIds(list);
    }
}
