package com.zhilian.resolver.controller;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.core.web.controller.BaseController;
import com.zhilian.common.core.web.page.TableDataInfo;
import com.zhilian.common.log.annotation.Log;
import com.zhilian.common.log.enums.BusinessType;
import com.zhilian.common.resolver.domain.ResolverReportInfo;
import com.zhilian.resolver.service.ResolverReportInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
  * @ClassName ReportController
  * @Description 报文控制层
  * @Author Can.J
  * @Date  2024/3/26 22:13
 */
@RestController
@RequestMapping("/report")
public class ResolverReportInfoController extends BaseController {

    /**
     *  @Description 注入报文服务层
     *  @Autowired  reportService
     */
    @Autowired
    private ResolverReportInfoService reportService;

    /**
     *  @Description 查询报文列表
     *  @Param [report]
     *  @Return Result<TableDataInfo<ResolverReportInfo>>
     */
    @Log(title = "报文信息", businessType = BusinessType.OTHER)
////    @RequiresPermissions("resolver:report:list")
    @GetMapping("/queryReports")
    public Result<TableDataInfo<ResolverReportInfo>> list (ResolverReportInfo report) {
        startPage();
        List<ResolverReportInfo> list = reportService.pageQuery(report);
        return getDataTable(list);
    }
}
