package com.zhilian.resolver.service.impl;

import com.zhilian.common.core.domain.Result;
import com.zhilian.common.resolver.domain.SysUserEnhancedServices;
import com.zhilian.resolver.mapper.UserMapper;
import com.zhilian.resolver.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
  * @ClassName UserServiceImpl
  * @Description 用户信息 业务实现层 测试用
  * @Author Can.J
  * @Date  2024/4/4 11:27
 */
@Slf4j
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;
    @Override
    public Result<List<SysUserEnhancedServices>> getUserEnhancedServices() {
        List<SysUserEnhancedServices> list= userMapper.getUserEnhancedServices();
        log.info("用户信息:{}",list);
        return Result.success(list);
    }
}
